Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class CallTypeRoutingParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeRoutingParams

    public class CallTypeRoutingParams

extends Object

Describes the routing logic for a specific call type by a sequence of stages defined by a minimal waiting time, and functions generating vectors of ranks. Elements of this type are used to encode the parameters of the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">OVERFLOWANDPRIORITY</tt>

routing policy only.

Java class for CallTypeRoutingParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CallTypeRoutingParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="stage" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}RoutingStageParams" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<RoutingStageParams>` | `stage`

Constructor Summary
`CallTypeRoutingParams()`

Method Summary
`List<RoutingStageParams>` | `getStage()` Gets the value of the stage property.
`boolean` | `isSetStage()`
`void` | `unsetStage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stage

    protected List<RoutingStageParams> stage

Constructor Detail

### CallTypeRoutingParams

    public CallTypeRoutingParams()

Method Detail

### getStage

    public List<RoutingStageParams> getStage()

  Gets the value of the stage property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stage property.

  For example, to add a new item, do as follows:

          getStage().add(newItem);

  Objects of the following type(s) are allowed in the list `RoutingStageParams`

### isSetStage

    public boolean isSetStage()

### unsetStage

    public void unsetStage()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.